Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class EnchantmentArrowFire

    java.lang.Object
      net.minecraft.src.Enchantment
          net.minecraft.src.EnchantmentArrowFire

    public class EnchantmentArrowFire

extends Enchantment

Field Summary

Fields inherited from class net.minecraft.src.Enchantment
`aquaAffinity, baneOfArthropods, blastProtection, effectId, efficiency, enchantmentsList, featherFalling, fireAspect, fireProtection, flame, fortune, infinity, knockback, looting, power, projectileProtection, protection, punch, respiration, sharpness, silkTouch, smite, type, unbreaking`

Constructor Summary
`EnchantmentArrowFire(int par1, int par2)`

Method Summary
`int` | `getMaxEnchantability(int par1)` Returns the maximum value of enchantability nedded on the enchantment level passed.
`int` | `getMaxLevel()` Returns the maximum level that the enchantment can have.
`int` | `getMinEnchantability(int par1)` Returns the minimal value of enchantability needed on the enchantment level passed.

Methods inherited from class net.minecraft.src.Enchantment
`calcModifierDamage, calcModifierLiving, canApplyTogether, canEnchantItem, getMinLevel, getName, getTranslatedName, getWeight, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnchantmentArrowFire

    public EnchantmentArrowFire(int par1,
                                int par2)

Method Detail

### getMinEnchantability

    public int getMinEnchantability(int par1)

  Returns the minimal value of enchantability needed on the enchantment level passed.

  Overrides:
    `getMinEnchantability` in class `Enchantment`

### getMaxEnchantability

    public int getMaxEnchantability(int par1)

  Returns the maximum value of enchantability nedded on the enchantment level passed.

  Overrides:
    `getMaxEnchantability` in class `Enchantment`

### getMaxLevel

    public int getMaxLevel()

  Returns the maximum level that the enchantment can have.

  Overrides:
    `getMaxLevel` in class `Enchantment`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD